#include "mbed.h"
#include "mpu6050.h"

Serial pc(USBTX, USBRX);
DigitalOut led1(LED1);
DigitalOut led2(LED2);
DigitalOut led3(LED3);
DigitalOut led4(LED4);
MPU6050 mpu(p9, p10);

void turnOffAllLed()
{
    led1 = 0;
    led2 = 0;
    led3 = 0;
    led4 = 0;
}

void readData()
{
    double ax, ay, az;
    mpu.readAccelemeter(ax, ay, az);
    double gx, gy, gz;
    mpu.readGyroscope(gx, gy, gz);
    pc.printf("%.4lf %.4lf %.4lf %.4lf %.4lf %.4lf\r\n", ax, ay, az, gx, gy, gz);
    turnOffAllLed();
    if(ax > ay && ax > az) {
        led1 = 1;
    } else if(ay > ax && ay > az) {
        led2 = 1;
    } else if(az > ax && az > ay) {
        led3 = 1;
    } else {
        led4 = 1;
    }
}

int main() {
    pc.baud(115200);
    mpu.setMaxScale(MAX_ACC_8G, MAX_GYRO_1000degpersec);
    while(true) {
        readData();
        wait(0.2);
    }
}
